Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.simpleapi
Interface ISortElement

All Superinterfaces:
  IDesignElement

    public interface ISortElement

extends IDesignElement

The simple API class for the SortElementHandle.

Method Summary
`java.lang.String` | `getDirection()` Returns the sort direction.
`java.lang.String` | `getKey()` Returns an expression that gives the sort key on which to sort.
`void` | `setDirection(java.lang.String direction)` Sets the sort direction.
`void` | `setKey(java.lang.String key)` Sets an expression that gives the sort key on which to sort.

Methods inherited from interface org.eclipse.birt.report.model.api.simpleapi.IDesignElement
`getNamedExpression, getParent, getQualifiedName, getReport, getStyle, getUserProperty, getUserPropertyExpression, setNamedExpression, setUserProperty, setUserProperty`

Method Detail

### getDirection

    java.lang.String getDirection()

  Returns the sort direction. The possible values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Returns:
    the direction to sort

### setDirection

    void setDirection(java.lang.String direction)
                      throws SemanticException

  Sets the sort direction. The allowed values are define in `DesignChoiceConstants`, and they are:
  - SORT_DIRECTION_ASC
  - SORT_DIRECTION_DESC

  Parameters:
    `direction` - the direction to set
  Throws:
    `SemanticException` - if the direction is not in choice list.

### getKey

    java.lang.String getKey()

  Returns an expression that gives the sort key on which to sort. The simplest case is the name of a column. The expression can also be an expression that includes columns. When used for a group, the expression can contain an aggregate computed over the group.

  Returns:
    the key to sort
  See Also:
    `setKey(String)`

### setKey

    void setKey(java.lang.String key)
                throws SemanticException

  Sets an expression that gives the sort key on which to sort.

  Parameters:
    `key` - the key to sort
  Throws:
    `SemanticException` - value required exception
  See Also:
    `getKey()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.